#
# Copyright 2006-2008 Sun Microsystems, Inc.  All Rights Reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Sun designates this
# particular file as subject to the "Classpath" exception as provided
# by Sun in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
# CA 95054 USA or visit www.sun.com if you need additional information or
# have any questions.
#

# Properties for jprt
jprt.tools.default.release=jdk1.7.0

# Specific platform list
jprt.build.platforms=\
solaris_sparc_5.10,\
solaris_sparcv9_5.10,\
solaris_i586_5.10,\
solaris_x64_5.10,\
linux_i586_2.6,\
linux_x64_2.6,\
windows_i586,\
windows_x64

# The different build flavors we want
jprt.build.flavors=product,fastdebug
jprt.run.flavors=c1,c2
jprt.solaris_sparcv9.run.flavors=c2
jprt.solaris_x64.run.flavors=c2
jprt.windows_x64.run.flavors=c2
jprt.linux_x64.run.flavors=c2
jprt.run.flavor.c1.option=-client
jprt.run.flavor.c2.option=-server

# Explicitly designate what the 32bit match is for the 64bit build
jprt.solaris_sparcv9.build.platform.match32=solaris_sparc_5.10
jprt.solaris_x64.build.platform.match32=solaris_i586_5.10

# Standard list of jprt test targets for this workspace
jprt.test.targets=*-*-*-jvm98
jprt.regression.test.targets=  \
   *-*-*-java/lang,            \
   *-*-*-java/security,        \
   *-*-*-java/text,            \
   *-*-*-java/util

#jprt.regression.test.targets=   \
#   *-*-*-java/awt,       \
#   *-*-*-java/beans,     \
#   *-*-*-java/io,        \
#   *-*-*-java/net,       \
#   *-*-*-java/nio,       \
#   *-*-*-java/rmi,       \

# Directories needed to build
jprt.bundle.exclude.src.dirs=build

